Subject: Tip: Butler can replace Default Folder X (DFX)

From: cv186 <[email-masked]>
Date: Wed, 21 Sep 2011 22:44:48 -0700 (PDT)

I've depended on DFX for years to rapidly locate my most-used file
locations with keyboard shortcuts in Open and Save dialogs, opening
the same folders in the Finder using the same keys.

DFX hasn't been working smoothly under OSX Lion, and some odd system
delays don't happen when DFX is disabled. It has extensive fancy
options that I never use, and it currently doesn't work at all in
"Sandboxed" apps like Apple's own "Preview".

I just worked out that Butler can duplicate  thishandy behaviour in
Lion, even in Sandboxed apps.

Create a "Keystroke" macro in Butler that starts with "command-shift-
G". This evokes the system-wide "Go to Folder" instruction (which
seems more uniformly supported under Lion than SL/Leopard). Follow
this with text for the desired folder location. Your own Documents
folder, for instance, looks like "~/Documents/". Set a key-trigger for
the macro. Switch to the Finder and test it. Your "Documents" folder
should open. Go to any other application and open a file. The same key
combo should bring up the "Documents" folder to open or save a file.